# generated by cabal-rpm-0.9.11
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name scientific

%bcond_with tests

Name:           ghc-%{pkg_name}
Version:        0.3.4.7
Release:        1%{?dist}
Summary:        Arbitrary-precision floating-point numbers represented using scientific notation

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-vector-devel
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-smallcheck-devel
BuildRequires:  ghc-tasty-ant-xml-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
BuildRequires:  ghc-tasty-quickcheck-devel
BuildRequires:  ghc-tasty-smallcheck-devel
%endif
# End cabal-rpm deps

%description
'Data.Scientific' provides a space efficient and arbitrary precision scientific
number type.

A 'Scientific' number is represented with coefficient 'c' and
base10Exponent 'e' and corresponds to the 'Fractional' number:
'fromInteger c * 10 ^^ e'

The main application of 'Scientific' is to be used as the target of parsing
arbitrary precision numbers coming from an untrusted source.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install

rm %{buildroot}%{ghc_pkgdocdir}/LICENSE


%check
%if %{with tests}
%cabal test
%endif


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license LICENSE


%files devel -f %{name}-devel.files
%doc changelog


%changelog
* Sun Jun 26 2016 Jens Petersen <petersen@redhat.com> - 0.3.4.7-1
- update to 0.3.4.7

* Tue Jun  7 2016 Jens Petersen <petersen@redhat.com> - 0.3.3.8-1
- update to 0.3.3.8

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Oct 1 2014 Ricky Elrod <relrod@redhat.com> - 0.3.3.1-1
- Latest upstream version.

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Ricky Elrod <relrod@redhat.com> - 0.3.2.1-1
- Bump to 0.3.2.1

* Sat Mar 15 2014 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.2.0.2-1
- spec file generated by cabal-rpm-0.8.10
